/// <reference types="react" />
import { BaseTextEntryControl } from "./BaseTextEntryControl";
import { IDataDefinition } from "../../Common/Data/Definitions/IDataDefinition";
export declare class XTagGroup extends BaseTextEntryControl {
    list: string[];
    allowedNewTag?: boolean;
    constructor();
    render(): JSX.Element;
    private handleChange;
    renderEditUI(): JSX.Element | null;
    getAddedData(): IDataDefinition | IDataDefinition[] | undefined;
}
